Package org.pushingpixels.trident

# Enum Class Timeline.TimelineState

java.lang.Object
java.lang.Enum<Timeline.TimelineState>
org.pushingpixels.trident.Timeline.TimelineState

All Implemented Interfaces:
  `Serializable`, `Comparable<Timeline.TimelineState>`, `Constable`

Enclosing class:
  `Timeline`

public static enum Timeline.TimelineState extends Enum<Timeline.TimelineState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANCELLED`
`DONE`
`IDLE`
`PLAYING_FORWARD`
`PLAYING_REVERSE`
`READY`
`SUSPENDED`

## Method Summary

Modifier and Type
Method
Description
`static Timeline.TimelineState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Timeline.TimelineState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IDLE

public static final Timeline.TimelineState IDLE

### READY

public static final Timeline.TimelineState READY

### PLAYING_FORWARD

public static final Timeline.TimelineState PLAYING_FORWARD

### PLAYING_REVERSE

public static final Timeline.TimelineState PLAYING_REVERSE

### SUSPENDED

public static final Timeline.TimelineState SUSPENDED

### CANCELLED

public static final Timeline.TimelineState CANCELLED

### DONE

public static final Timeline.TimelineState DONE

## Method Details

### values

public static Timeline.TimelineState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Timeline.TimelineState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null